commit: a95c733480ecf2b2a850cbda9d316a88c0fa8407
Author: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Mon May 29 04:50:50 2023 +0000
Commit: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Mon May 29 04:51:06 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a95c7334
dev-python/flask-gravatar: EAPI=8, PEP517
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>
.../flask-gravatar/flask-gravatar-0.5.0-r1.ebuild | 35 ++++++++++++++++++++++
1 file changed, 35 insertions(+)
diff --git a/dev-python/flask-gravatar/flask-gravatar-0.5.0-r1.ebuild
b/dev-python/flask-gravatar/flask-gravatar-0.5.0-r1.ebuild
new file mode 100644
index 000000000000..7d12286ac41a
--- /dev/null
+++ b/dev-python/flask-gravatar/flask-gravatar-0.5.0-r1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+PYPI_NO_NORMALIZE=1
+PYPI_PN="Flask-Gravatar"
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Small extension for Flask to make usage of Gravatar service easy"
+HOMEPAGE="https://github.com/zzzsochi/Flask-Gravatar/"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="dev-python/flask[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/pytest-runner/d' setup.py || die
+ sed -e 's:--pep8::' \
+ -e 's:--cov=flask_gravatar --cov-report=term-missing::' \
+ -i pytest.ini || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ cd tests || die
+ epytest
+}